# - Try to find dsm-api-v0
# Once done this will define
#
#  DSM-API-V2_FOUND - system has dsm-api-v0
#  DSM-API-V2_INCLUDE_DIRS - the dsm-api-v0 include directory
#  DSM-API-V2_LIBRARIES - Link these to use dsm-api-v0
#  DSM-API-V2_DEFINITIONS - Compiler switches required for using dsm-api-v0
#
#  Copyright (c) 2010 digitalSTROM.org <dss-developer@forum.digitalstrom.org>
#
#  Redistribution and use is allowed according to the terms of the New
#  BSD license.
#  For details see the accompanying COPYING-CMAKE-SCRIPTS file.
#


if (DSM-API-V0_LIBRARIES AND DSM-API-V0_INCLUDE_DIRS)
  # in cache already
  set(DSM-API-V0_FOUND TRUE)
else (DSM-API-V0_LIBRARIES AND DSM-API-V0_INCLUDE_DIRS)
  find_path(DSM-API-V0_INCLUDE_DIR
    NAMES
      dsm-api-v0/dsm-api.h dsm-api-v0/dsm-api-const.h
    PATHS
      /usr/include
      /usr/local/include
      /opt/local/include
      /sw/include
    PATH_SUFFIXES
      digitalSTROM
  )

  find_library(DSM-API-V0_LIBRARY
    NAMES
      dsm-api-v0
    PATHS
      /usr/lib
      /usr/local/lib
      /opt/local/lib
      /sw/lib
  )

  set(DSM-API-V0_INCLUDE_DIRS
    ${DSM-API-V0_INCLUDE_DIR}
  )
  set(DSM-API-V0_LIBRARIES
    ${DSM-API-V0_LIBRARY}
)

  if (DSM-API-V0_INCLUDE_DIRS AND DSM-API-V0_LIBRARIES)
     set(DSM-API-V0_FOUND TRUE)
  endif (DSM-API-V0_INCLUDE_DIRS AND DSM-API-V0_LIBRARIES)

  if (DSM-API-V0_FOUND)
    if (NOT dsm-api-v0_FIND_QUIETLY)
      message(STATUS "Found dsm-api-v0: ${DSM-API-V0_LIBRARIES}")
    endif (NOT dsm-api-v0_FIND_QUIETLY)
  else (DSM-API-V0_FOUND)
    if (dsm-api-v0_FIND_REQUIRED)
      message(FATAL_ERROR "Could not find dsm-api-v0")
    endif (dsm-api-v0_FIND_REQUIRED)
  endif (DSM-API-V0_FOUND)

  # show the DSM-API-V0_INCLUDE_DIRS and DSM-API-V0_LIBRARIES variables only in the advanced view
  mark_as_advanced(DSM-API-V0_INCLUDE_DIRS DSM-API-V0_LIBRARIES)

endif (DSM-API-V0_LIBRARIES AND DSM-API-V0_INCLUDE_DIRS)

